
# David - 2.2.1-2mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC


%define mdkversion %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)

%define buildfor8_2 %(perl -e 'print int(%{mdkversion} == 820)')
%define buildfor9_0 %(perl -e 'print int(%{mdkversion} == 900)')
%define buildfor9_1 %(perl -e 'print int(%{mdkversion} == 910)')
%define buildfor9_2 %(perl -e 'print int(%{mdkversion} == 920)')
%define buildfor10_0 %(perl -e 'print int(%{mdkversion} == 1000)')
%define buildfor10_1 %(perl -e 'print int(%{mdkversion} == 1010)')

%define __libtoolize    /bin/true


# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor10_1
%define unstable 0
%else
%define unstable 0
%endif

%define lib_name_orig %mklibname kdeaccessibility
%define lib_major 1
%define lib_name %lib_name_orig%lib_major

%define use_enable_final 1

Name:		kdeaccessibility
Summary:	K Desktop Environment - Accessibility program
Version:    3.2.3
Release:    6mdk
Epoch:		1
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

URL:		ftp://ftp.kde.org/pub/kde/stable/%version/src/
Source:     	ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2



Patch3:		kdelibs-3.2-remove-rpath.patch.bz2


Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Obsoletes:	kmag
Provides:	kmag

BuildRequires:	XFree86-devel kdelibs-devel >= 3.2-13mdk

%if %mdkversion >= 920
BuildRequires:	qt3-devel
%endif

%if %buildfor9_1
BuildRequires: automake1.6
%endif

%if %mdkversion >= 920 
BuildRequires: automake1.7
%endif

BuildRequires: autoconf2.5

%description
KDE Accessibility Aids:
- kmag, a screen magnifier,
- kmousetool, a program for people whom it hurts to click the mouse
- KMouth, a program that allows people who have lost their voice to let 
  their computer speak for them.


%prep

%setup -q 
%patch3 -p1 -b .fix_remove_rpath


%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
		%configure --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable                    
					--enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-shared \
%if %use_enable_final
					--enable-final \
%else
					--disable-final \
%endif					
                    --disable-static \
		    --disable-embedded \
		    --disable-palmtop \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
                    --with-xinerama

%make



%install
rm -fr %buildroot
export PATH=%_bindir:$PATH
# David - 2.2-0.beta1.1mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot


# Create LMDK menu entries
install -d %buildroot/%_menudir
kdedesktop2mdkmenu.pl kdeaccessibility "More Applications/Accessibility" %buildroot/%_datadir/applnk/Applications/kmag.desktop %buildroot/%_menudir/kdeaccessibility-kmag
kdedesktop2mdkmenu.pl kdeaccessibility "More Applications/Accessibility" %buildroot/%_datadir/applnk/Applications/kmousetool.desktop %buildroot/%_menudir/kdeaccessibility-kmousetool
kdedesktop2mdkmenu.pl kdeaccessibility "More Applications/Accessibility" %buildroot/%_datadir/applnk/Applications/kmouth.desktop %buildroot/%_menudir/kdeaccessibility-kmouth


# Vfolder directory
install -d %buildroot/%_datadir/applications/kde/
cp %buildroot/%_datadir/applnk/Applications/kmag.desktop %buildroot/%_datadir/applications/kde/kmag.desktop
cp %buildroot/%_datadir/applnk/Applications/kmousetool.desktop %buildroot/%_datadir/applications/kde/kmousetool.desktop
cp %buildroot/%_datadir/applnk/Applications/kmouth.desktop %buildroot/%_datadir/applications/kde/kmouth.desktop


createmdkmenu.sh %buildroot/%_datadir/applnk/Applications/kmag.desktop  Accessibility-mdk   
createmdkmenu.sh %buildroot/%_datadir/applnk/Applications/kmousetool.desktop  Accessibility-mdk 
createmdkmenu.sh %buildroot/%_datadir/applnk/Applications/kmouth.desktop  Accessibility-mdk 




%post
/sbin/ldconfig
%update_menus


%postun
/sbin/ldconfig
%clean_menus



%clean
rm -fr %buildroot


%files 
%defattr(-,root,root)
%_bindir/kmag
%_bindir/kmousetool
%_bindir/kmouth

%_menudir/*

%_datadir/applnk/Applications/kmag.desktop
%_datadir/applnk/Applications/kmousetool.desktop
%_datadir/applnk/Applications/kmouth.desktop

%_datadir/applications/kde/kmag.desktop
%_datadir/applications/kde/kmousetool.desktop
%_datadir/applications/kde/kmouth.desktop

%dir %_datadir/apps/kmag/
%dir %_datadir/apps/kmag/icons/
%dir %_datadir/apps/kmag/icons/hicolor/
%dir %_datadir/apps/kmag/icons/hicolor/16x16/
%dir %_datadir/apps/kmag/icons/hicolor/16x16/actions/

%_datadir/apps/kmag/icons/hicolor/16x16/actions/*.png

%_datadir/apps/kmag/kmagui.rc

%dir %_datadir/apps/kmousetool/
%dir %_datadir/apps/kmousetool/icons/
%dir %_datadir/apps/kmousetool/icons/hicolor/
%dir %_datadir/apps/kmousetool/icons/hicolor/16x16/
%dir %_datadir/apps/kmousetool/icons/hicolor/16x16/actions/
%_datadir/apps/kmousetool/icons/hicolor/16x16/actions/*.png
%dir %_datadir/apps/kmousetool/icons/hicolor/16x16/apps/
%_datadir/apps/kmousetool/icons/hicolor/16x16/apps/*.png
%dir %_datadir/apps/kmousetool/icons/hicolor/32x32/
%dir %_datadir/apps/kmousetool/icons/hicolor/32x32/actions/
%_datadir/apps/kmousetool/icons/hicolor/32x32/actions/*.png
%dir %_datadir/apps/kmousetool/icons/hicolor/32x32/apps/
%_datadir/apps/kmousetool/icons/hicolor/32x32/apps/*.png


%dir %_datadir/apps/kmousetool/sounds/
%_datadir/apps/kmousetool/sounds/mousetool_tap.wav

%dir %_datadir/apps/kmouth/
%dir %_datadir/apps/kmouth/books/
%dir %_datadir/apps/kmouth/books/de/
%_datadir/apps/kmouth/books/de/*.phrasebook
%_datadir/apps/kmouth/books/de/*.desktop

%dir %_datadir/apps/kmouth/books/en/
%_datadir/apps/kmouth/books/en/*.phrasebook
%_datadir/apps/kmouth/books/en/*.desktop

%dir %_datadir/apps/kmouth/books/sv/
%_datadir/apps/kmouth/books/sv/*.phrasebook
%_datadir/apps/kmouth/books/sv/*.desktop

%dir %_datadir/apps/kmouth/icons/
%dir %_datadir/apps/kmouth/icons/hicolor/
%dir %_datadir/apps/kmouth/icons/hicolor/16x16/
%dir %_datadir/apps/kmouth/icons/hicolor/16x16/actions/
%_datadir/apps/kmouth/icons/hicolor/16x16/actions/*.png
%dir %_datadir/apps/kmouth/icons/hicolor/22x22/
%dir %_datadir/apps/kmouth/icons/hicolor/22x22/actions/
%_datadir/apps/kmouth/icons/hicolor/22x22/actions/*.png
%dir %_datadir/apps/kmouth/icons/hicolor/32x32/
%dir %_datadir/apps/kmouth/icons/hicolor/32x32/actions/
%_datadir/apps/kmouth/icons/hicolor/32x32/actions/*.png
%dir %_datadir/apps/kmouth/icons/hicolor/48x48/
%dir %_datadir/apps/kmouth/icons/hicolor/48x48/actions/
%_datadir/apps/kmouth/icons/hicolor/48x48/actions/*.png
%_datadir/apps/kmouth/*.rc

%_datadir/config/kmouthrc


%dir %_docdir/HTML/en/kmag/
%doc %_docdir/HTML/en/kmag/common
%doc %_docdir/HTML/en/kmag/*.bz2
%doc %_docdir/HTML/en/kmag/*.docbook
%doc %_docdir/HTML/en/kmag/*.png

%dir %_docdir/HTML/en/kmousetool/
%doc %_docdir/HTML/en/kmousetool/*.bz2
%doc %_docdir/HTML/en/kmousetool/*.docbook
%doc %_docdir/HTML/en/kmousetool/common

%dir %_docdir/HTML/en/kmouth/
%doc %_docdir/HTML/en/kmouth/common
%doc %_docdir/HTML/en/kmouth/*.bz2
%doc %_docdir/HTML/en/kmouth/*.docbook
%doc %_docdir/HTML/en/kmouth/*.eps
%doc %_docdir/HTML/en/kmouth/*.png

%_datadir/icons/hicolor/16x16/apps/*.png
%_datadir/icons/hicolor/22x22/apps/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/hicolor/48x48/apps/*.png
%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/22x22/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png

%changelog
* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Rebuild for new menu translation table

* Wed Aug 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Fix spec file

* Mon Aug 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Remove debug

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Fix remove rpath

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Rebuild

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file to using rpmbuildupdate

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Add mdkversion
- Use %%configure
- Add support for mdk 10.1

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Rebuild with good kdedesktop2mdkmenu.pl

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Fix distint error
- Remove debug

* Wed Feb 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Fix menu entry

* Wed Feb 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Sync with CVS

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Fix package freeze

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- 3.1.95

* Thu Jan 22 2004 David Baudens <baudens@mandrakesoft.com> 3.1.94-5mdk
- Fix menu entry

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- Add use_enable_final variable
- Sync with CVS
- Reverte VFolder menu type to 'menu' menu type 

* Wed Jan 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Sync with CVS

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Sync with CVS

* Wed Dec 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- beta2

* Wed Nov 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-4mdk
- Fix description

* Wed Nov 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-3mdk
- Sync with CVS

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-2mdk
- Fix menu

* Mon Nov 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- Beta1

* Thu Oct 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-3mdk
- Sync with CVS

* Mon Oct 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-2mdk
- Sync with CVs

* Sun Sep 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-1mdk
- First package

